Last Comment Bug 467659 - Flashblock add-on does not work with FF3.1b2 on Ubuntu 8.0.4 due to Permission denied for <http://www.foo> to get property XPCComponents.utils
: Flashblock add-on does not work with FF3.1b2 on Ubuntu 8.0.4 due to Permissio...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Extension Compatibility (show other bugs)
: 3.5 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 469844
Blocks: 466186
  Show dependency treegraph
 
Reported: 2008-12-02 15:36 PST by Murali Nandigama [:murali]
Modified: 2008-12-31 12:41 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Murali Nandigama [:murali] 2008-12-02 15:36:04 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) Gecko/2008102920 Firefox/3.0.4 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) Gecko/2008102920 Firefox/3.0.4 (.NET CLR 3.5.30729)

https://addons.mozilla.org/en-US/firefox/addon/433 add-on does not work with FF3.1B2 on Ubuntu 8.0.4

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 User image Samuel Sidler (old account; do not CC) 2008-12-02 15:55:12 PST
Is there a reason you're filing this now instead of waiting until 3.1b2 has been released? Some developers don't update until fairly close to the day of release. You should probably give them a few days after release to be sure.
Comment 2 User image Murali Nandigama [:murali] 2008-12-02 15:59:25 PST
This add-on works fine in win32 and Mac OS X86 with extensions.checkCompatibility=false. However, it fails only in Ubuntu 8.0.4

That is the reason I file the bug. 

I have done extensive testing on popular add-ons on three platforms and the results are available here https://wiki.mozilla.org/QA/Firefox3.1/TestResults/beta2/TopExtensions
Comment 3 User image Samuel Sidler (old account; do not CC) 2008-12-02 16:34:19 PST
So, the add-on is compatible with 3.1b2 but doesn't work on one platform? That sounds like a bug that should be filed with the extension developer. We typically use Firefox::Extension Compatibility to track extensions that are not at all compatible with the next release of Firefox (in this case, Firefox 3.1).
Comment 4 User image chris hofmann 2008-12-03 11:34:25 PST
https://developer.mozilla.org/en/Updating_extensions_for_Firefox_3.1 has good info on areas to check or make changes to for compatibility with fx 3.1
Comment 5 User image Lorenzo Colitti 2008-12-12 00:23:54 PST
Yes, I see this. The javascript console says:

Error: uncaught exception: [Exception... "Component is not available"  nsresult: "0x80040111 (NS_ERROR_NOT_AVAILABLE)"  location: "JS frame :: chrome://flashblock/content/flashblock.xml ::  :: line 243"  data: no]

Line 243 of flashblock.xml is:

241: // Change the placeholder background when the mouse enters/exits the div.
242: placeholder.onmouseover = function()
243: {
244:	this.style.background = this.bgActive;
245: }

which certainly doesn't look like the culprit. Investigating further.

This was working fine on 3.1b1.
Comment 6 User image Lorenzo Colitti 2008-12-12 01:05:31 PST
That line was a red herring... but it turns out that this was a bug in the latest unstable Flashblock (we were calling Components.utils.lookupMethod instead of Components.lookupMethod). I uploaded a fixed version of Flashblock unstable to mozdev, but it might be a while until all the mirrors get it (if you want to be sure, check the MD5sum - should be 326fa184dc8931ac52adb57c78a7c986).
Comment 7 User image Philip Chee 2008-12-12 01:36:21 PST
Flashblock has no platform dependent code.

WFM with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2a1pre) Gecko/20081210 Minefield/3.2a1pre.

I changed Components.lookupMethod to Components.utils.lookupMethod because I was getting 'Components.lookupMethod is deprecated" strict warnings in the Error Console.

If Components.utils is available in Win32 and OSX but not ubuntu/linux this points to a packaging problem or something else
Comment 8 User image Philip Chee 2008-12-12 01:44:36 PST
Lorenzo if you go to the Error Console and evaluate this:

"lookupMethod" in Components.utils

What do you get?

If I type in the Error Console:

Components.utils.lookupMethod

I get:

function lookupMethod() {
    [native code]
}
Comment 9 User image Philip Chee 2008-12-12 01:51:07 PST
FYI: WFM Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b3pre) Gecko/20081211 Shiretoko/3.1b3pre

Lorenzo, are you using a nightly 3.1b2 from mozilla.org or building it yourself?
Comment 10 User image Lorenzo Colitti 2008-12-12 09:42:49 PST
I get the same:

"lookupMethod" in Components.utils
true

Components.utils.lookupMethod:
function lookupMethod() {
    [native code]
}

This is 3.1b2 from the auto-updater. User-agent is:

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1b2) Gecko/20081201 Firefox/3.1b2
Comment 11 User image Philip Chee 2008-12-12 10:03:33 PST
OK. I can now reproduce the problem in 3.2a1pre (and probably in 3.1b2 as well, I just needed a bigger range of test pages to trigger this bug).

The Error Console message is:

Error: Permission denied for <http://www.bakketun.net> to get property XPCComponents.utils
Source file: chrome://flashblock/content/flashblock.xml
Line: 17
Comment 12 User image Lorenzo Colitti 2008-12-12 10:18:19 PST
Perhaps you needed a bigger range of test pages because one of the lookupMethod calls was Components.lookupMethod and the other was Components.utils.lookupMethod? My change set them both to Components.lookupMethod.
Comment 13 User image Philip Chee 2008-12-12 10:26:55 PST
> Perhaps you needed a bigger range of test pages because one of the lookupMethod
> calls was Components.lookupMethod and the other was
> Components.utils.lookupMethod?

:P

I've pushed the fix to the latest dev version at:
<http://downloads.mozdev.org/flashblock/flashblock-1.5.unstable.xpi>
Comment 14 User image Philip Chee 2008-12-13 08:24:52 PST
> I've pushed the fix to the latest dev version at:
> <http://downloads.mozdev.org/flashblock/flashblock-1.5.unstable.xpi>

I've pushed this to AMO as well:

<https://addons.mozilla.org/en-US/firefox/addons/versions/433>
Comment 15 User image Philip Chee 2008-12-16 10:05:51 PST
Marking as fixed as I've filed a new bug more specific to the problem
Comment 16 User image Marc Bejarano 2008-12-31 12:41:30 PST
new bug is bug 469844

Note You need to log in before you can comment on or make changes to this bug.